﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected override void OnPreInit(EventArgs e)
    {
        base.OnPreInit(e);

        WebHierarchicalDataGrid1.AutoGenerateColumns = false;
        DropDownProvider provider = new DropDownProvider();
        provider.ID = "dropdown1";
        provider.EditorControl.DropDownContainerWidth = 150;

        WebHierarchicalDataGrid1.EditorProviders.Add(provider);

        //create an  column to associate the dropdown provider with (can be a unbounddatafield if needed)
        BoundDataField column = new BoundDataField();
        column.Key = "Name";
        column.DataFieldName = "Name";
        column.Header.Text = "Dropdown Column";

        //create the column setting for the Dropdown Column
        EditingColumnSetting setting = new EditingColumnSetting();
        setting.ColumnKey = "Name";
        setting.EditorID = "dropdown1";
  

        EditingCore core = new EditingCore();
        WebHierarchicalDataGrid1.Behaviors.Add(core);

        core.Enabled = true;
        CellEditing editing = new CellEditing();
        editing.ColumnSettings.Add(setting);
        core.Behaviors.Add(editing);

        //instantiate cell editing
      

        //instantiate an editing core
     

        WebHierarchicalDataGrid1.Columns.Add(column);

       

    }
    protected void Page_Load(object sender, EventArgs e)
    {
        DataSet ds = new DataSet();
        ds.Tables.Add(populateGrid());

        ((DropDownProvider)WebHierarchicalDataGrid1.EditorProviders["dropdown1"]).EditorControl.DataSource = ds;
        ((DropDownProvider)WebHierarchicalDataGrid1.EditorProviders["dropdown1"]).EditorControl.TextField = "Name";
        //((DropDownProvider)WebHierarchicalDataGrid1.EditorProviders["dropdown1"]).EditorControl.ValueField = "Name";

        //WebDropDown dd = (WebDropDown)this.WebHierarchicalDataGrid1.EditorProviders[0].GetEditor();
        //dd.DataSource = ds;
        //dd.DataBind();

        WebHierarchicalDataGrid1.DataSource = ds;
        WebHierarchicalDataGrid1.DataBind();
    }

    protected DataTable populateGrid()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("Name");
        DataRow row = default(DataRow);
        for (int i = 0; i <= 9; i++)
        {
            row = dt.NewRow();
            row.SetField<string>("Name", "Name" + i);
            dt.Rows.Add(row);
        }

        return dt;
    }

}